Update an alert route
Update a specific alert route by id. Note: This endpoint requires access to Advanced Alert Routing. If you’re unsure whether you have access to this feature, please contact Rootly customer support.
Asynchronous Rule Creation
For organizations with large numbers of routing rules, Rootly supports asynchronous rule processing to improve performance. When enabled, rule updates happen in the background.
Important: When async processing is enabled, the rules list in the API response will not be up-to-date immediately after update. You should refetch the alert route after a few minutes to get the updated rules.
If you experience slow operations when managing alert routes with many rules, contact Rootly customer support to enable asynchronous rule processing for your organization.
curl --request PUT \
--url https://api.rootly.com/v1/alert_routes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "alert_routes",
"attributes": {
"name": "<string>",
"enabled": true,
"alerts_source_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"owning_team_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"rules": [
{
"name": "<string>",
"destinations": [
{
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"condition_groups": [
{
"conditions": [
{
"property_field_name": "<string>",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
],
"alert_urgency_ids": [
"<string>"
],
"conditionable_type": "AlertField",
"conditionable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"position": 123
}
],
"position": 123,
"fallback_rule": false
}
]
}
}
}
'import requests
url = "https://api.rootly.com/v1/alert_routes/{id}"
payload = { "data": {
"type": "alert_routes",
"attributes": {
"name": "<string>",
"enabled": True,
"alerts_source_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"owning_team_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"rules": [
{
"name": "<string>",
"destinations": [{ "target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }],
"condition_groups": [
{
"conditions": [
{
"property_field_name": "<string>",
"property_field_value": "<string>",
"property_field_values": ["<string>"],
"alert_urgency_ids": ["<string>"],
"conditionable_type": "AlertField",
"conditionable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"position": 123
}
],
"position": 123,
"fallback_rule": False
}
]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'alert_routes',
attributes: {
name: '<string>',
enabled: true,
alerts_source_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
owning_team_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
rules: [
{
name: '<string>',
destinations: [{target_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}],
condition_groups: [
{
conditions: [
{
property_field_name: '<string>',
property_field_value: '<string>',
property_field_values: ['<string>'],
alert_urgency_ids: ['<string>'],
conditionable_type: 'AlertField',
conditionable_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
position: 123
}
],
position: 123,
fallback_rule: false
}
]
}
}
})
};
fetch('https://api.rootly.com/v1/alert_routes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "alert_routes",
"attributes": {
"name": "<string>",
"alerts_source_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"enabled": true,
"owning_team_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"rules": [
{
"name": "<string>",
"destinations": [
{
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"condition_groups": [
{
"conditions": [
{
"property_field_name": "<string>",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
],
"alert_urgency_ids": [
"<string>"
],
"conditionable_type": "AlertField",
"conditionable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"position": 123
}
],
"position": 123,
"fallback_rule": false
}
]
}
}
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Show child attributes
Show child attributes
Response
update: handles mixed position types correctly
Show child attributes
Show child attributes
Was this page helpful?
